(function (global, factory) {
    typeof exports === 'object' && typeof module !== 'undefined' ? factory(exports, require('@angular/core'), require('@angular/material'), require('@angular/common')) :
    typeof define === 'function' && define.amd ? define('@matthewfordus/angular-components', ['exports', '@angular/core', '@angular/material', '@angular/common'], factory) :
    (global = global || self, factory((global.matthewfordus = global.matthewfordus || {}, global.matthewfordus['angular-components'] = {}), global.ng.core, global.ng.material, global.ng.common));
}(this, function (exports, core, material, common) { 'use strict';

    /**
     * @fileoverview added by tsickle
     * @suppress {checkTypes,extraRequire,missingOverride,missingReturn,unusedPrivateMembers,uselessCode} checked by tsc
     */
    var AngularComponentsService = /** @class */ (function () {
        function AngularComponentsService() {
        }
        AngularComponentsService.decorators = [
            { type: core.Injectable, args: [{
                        providedIn: 'root'
                    },] }
        ];
        /** @nocollapse */
        AngularComponentsService.ctorParameters = function () { return []; };
        /** @nocollapse */ AngularComponentsService.ngInjectableDef = core.ɵɵdefineInjectable({ factory: function AngularComponentsService_Factory() { return new AngularComponentsService(); }, token: AngularComponentsService, providedIn: "root" });
        return AngularComponentsService;
    }());

    /**
     * @fileoverview added by tsickle
     * @suppress {checkTypes,extraRequire,missingOverride,missingReturn,unusedPrivateMembers,uselessCode} checked by tsc
     */
    var AngularComponentsComponent = /** @class */ (function () {
        function AngularComponentsComponent() {
        }
        /**
         * @return {?}
         */
        AngularComponentsComponent.prototype.ngOnInit = /**
         * @return {?}
         */
        function () {
        };
        AngularComponentsComponent.decorators = [
            { type: core.Component, args: [{
                        selector: 'msf-angular-components',
                        template: "\n    <p>\n      angular-components works!\n    </p>\n  "
                    }] }
        ];
        /** @nocollapse */
        AngularComponentsComponent.ctorParameters = function () { return []; };
        return AngularComponentsComponent;
    }());

    /**
     * @fileoverview added by tsickle
     * @suppress {checkTypes,extraRequire,missingOverride,missingReturn,unusedPrivateMembers,uselessCode} checked by tsc
     */
    var EditorButtonsComponent = /** @class */ (function () {
        function EditorButtonsComponent() {
            this.modified = false;
            this.valid = true;
            this.close = new core.EventEmitter();
            this.discard = new core.EventEmitter();
            this.save = new core.EventEmitter();
        }
        /**
         * @return {?}
         */
        EditorButtonsComponent.prototype.ngOnInit = /**
         * @return {?}
         */
        function () {
        };
        EditorButtonsComponent.decorators = [
            { type: core.Component, args: [{
                        selector: 'msf-editor-buttons',
                        template: "<button\n  mat-raised-button\n  type=\"button\"\n  (click)=\"close.emit()\"\n  color=\"primary\"\n  *ngIf=\"!modified\">\n  Close\n</button>\n<button\n  mat-raised-button\n  type=\"button\"\n  (click)=\"discard.emit()\"\n  color=\"warn\"\n  *ngIf=\"modified\">\n  Discard\n</button>\n<button\n  mat-raised-button\n  type=\"button\"\n  (click)=\"save.emit()\"\n  color=\"primary\"\n  *ngIf=\"modified\"\n  [disabled]=\"!valid\">\n  Save\n</button>\n",
                        changeDetection: core.ChangeDetectionStrategy.OnPush,
                        styles: [".mat-raised-button{margin:10px}"]
                    }] }
        ];
        /** @nocollapse */
        EditorButtonsComponent.ctorParameters = function () { return []; };
        EditorButtonsComponent.propDecorators = {
            modified: [{ type: core.Input }],
            valid: [{ type: core.Input }],
            close: [{ type: core.Output }],
            discard: [{ type: core.Output }],
            save: [{ type: core.Output }]
        };
        return EditorButtonsComponent;
    }());

    /**
     * @fileoverview added by tsickle
     * @suppress {checkTypes,extraRequire,missingOverride,missingReturn,unusedPrivateMembers,uselessCode} checked by tsc
     */
    var AngularComponentsModule = /** @class */ (function () {
        function AngularComponentsModule() {
        }
        AngularComponentsModule.decorators = [
            { type: core.NgModule, args: [{
                        declarations: [
                            AngularComponentsComponent,
                            EditorButtonsComponent
                        ],
                        imports: [
                            common.CommonModule,
                            material.MatButtonModule,
                        ],
                        exports: [
                            AngularComponentsComponent,
                            EditorButtonsComponent
                        ]
                    },] }
        ];
        return AngularComponentsModule;
    }());

    exports.AngularComponentsComponent = AngularComponentsComponent;
    exports.AngularComponentsModule = AngularComponentsModule;
    exports.AngularComponentsService = AngularComponentsService;
    exports.ɵa = EditorButtonsComponent;

    Object.defineProperty(exports, '__esModule', { value: true });

}));
//# sourceMappingURL=matthewfordus-angular-components.umd.js.map
