import { Injectable, ɵɵdefineInjectable, Component, EventEmitter, ChangeDetectionStrategy, Input, Output, NgModule } from '@angular/core';
import { MatButtonModule } from '@angular/material';
import { CommonModule } from '@angular/common';

/**
 * @fileoverview added by tsickle
 * @suppress {checkTypes,extraRequire,missingOverride,missingReturn,unusedPrivateMembers,uselessCode} checked by tsc
 */
class AngularComponentsService {
    constructor() { }
}
AngularComponentsService.decorators = [
    { type: Injectable, args: [{
                providedIn: 'root'
            },] }
];
/** @nocollapse */
AngularComponentsService.ctorParameters = () => [];
/** @nocollapse */ AngularComponentsService.ngInjectableDef = ɵɵdefineInjectable({ factory: function AngularComponentsService_Factory() { return new AngularComponentsService(); }, token: AngularComponentsService, providedIn: "root" });

/**
 * @fileoverview added by tsickle
 * @suppress {checkTypes,extraRequire,missingOverride,missingReturn,unusedPrivateMembers,uselessCode} checked by tsc
 */
class AngularComponentsComponent {
    constructor() { }
    /**
     * @return {?}
     */
    ngOnInit() {
    }
}
AngularComponentsComponent.decorators = [
    { type: Component, args: [{
                selector: 'msf-angular-components',
                template: `
    <p>
      angular-components works!
    </p>
  `
            }] }
];
/** @nocollapse */
AngularComponentsComponent.ctorParameters = () => [];

/**
 * @fileoverview added by tsickle
 * @suppress {checkTypes,extraRequire,missingOverride,missingReturn,unusedPrivateMembers,uselessCode} checked by tsc
 */
class EditorButtonsComponent {
    constructor() {
        this.modified = false;
        this.valid = true;
        this.close = new EventEmitter();
        this.discard = new EventEmitter();
        this.save = new EventEmitter();
    }
    /**
     * @return {?}
     */
    ngOnInit() {
    }
}
EditorButtonsComponent.decorators = [
    { type: Component, args: [{
                selector: 'msf-editor-buttons',
                template: "<button\n  mat-raised-button\n  type=\"button\"\n  (click)=\"close.emit()\"\n  color=\"primary\"\n  *ngIf=\"!modified\">\n  Close\n</button>\n<button\n  mat-raised-button\n  type=\"button\"\n  (click)=\"discard.emit()\"\n  color=\"warn\"\n  *ngIf=\"modified\">\n  Discard\n</button>\n<button\n  mat-raised-button\n  type=\"button\"\n  (click)=\"save.emit()\"\n  color=\"primary\"\n  *ngIf=\"modified\"\n  [disabled]=\"!valid\">\n  Save\n</button>\n",
                changeDetection: ChangeDetectionStrategy.OnPush,
                styles: [".mat-raised-button{margin:10px}"]
            }] }
];
/** @nocollapse */
EditorButtonsComponent.ctorParameters = () => [];
EditorButtonsComponent.propDecorators = {
    modified: [{ type: Input }],
    valid: [{ type: Input }],
    close: [{ type: Output }],
    discard: [{ type: Output }],
    save: [{ type: Output }]
};

/**
 * @fileoverview added by tsickle
 * @suppress {checkTypes,extraRequire,missingOverride,missingReturn,unusedPrivateMembers,uselessCode} checked by tsc
 */
class AngularComponentsModule {
}
AngularComponentsModule.decorators = [
    { type: NgModule, args: [{
                declarations: [
                    AngularComponentsComponent,
                    EditorButtonsComponent
                ],
                imports: [
                    CommonModule,
                    MatButtonModule,
                ],
                exports: [
                    AngularComponentsComponent,
                    EditorButtonsComponent
                ]
            },] }
];

export { AngularComponentsComponent, AngularComponentsModule, AngularComponentsService, EditorButtonsComponent as ɵa };
//# sourceMappingURL=matthewfordus-angular-components.js.map
