import { ɵɵdefineInjectable, Injectable, Component, ChangeDetectionStrategy, Input, Output, EventEmitter, NgModule } from '@angular/core';
import { MatButtonModule } from '@angular/material';
import { CommonModule } from '@angular/common';

/**
 * @fileoverview added by tsickle
 * @suppress {checkTypes,extraRequire,missingOverride,missingReturn,unusedPrivateMembers,uselessCode} checked by tsc
 */
var AngularComponentsService = /** @class */ (function () {
    function AngularComponentsService() {
    }
    AngularComponentsService.decorators = [
        { type: Injectable, args: [{
                    providedIn: 'root'
                },] }
    ];
    /** @nocollapse */
    AngularComponentsService.ctorParameters = function () { return []; };
    /** @nocollapse */ AngularComponentsService.ngInjectableDef = ɵɵdefineInjectable({ factory: function AngularComponentsService_Factory() { return new AngularComponentsService(); }, token: AngularComponentsService, providedIn: "root" });
    return AngularComponentsService;
}());

/**
 * @fileoverview added by tsickle
 * @suppress {checkTypes,extraRequire,missingOverride,missingReturn,unusedPrivateMembers,uselessCode} checked by tsc
 */
var AngularComponentsComponent = /** @class */ (function () {
    function AngularComponentsComponent() {
    }
    /**
     * @return {?}
     */
    AngularComponentsComponent.prototype.ngOnInit = /**
     * @return {?}
     */
    function () {
    };
    AngularComponentsComponent.decorators = [
        { type: Component, args: [{
                    selector: 'msf-angular-components',
                    template: "\n    <p>\n      angular-components works!\n    </p>\n  "
                }] }
    ];
    /** @nocollapse */
    AngularComponentsComponent.ctorParameters = function () { return []; };
    return AngularComponentsComponent;
}());

/**
 * @fileoverview added by tsickle
 * @suppress {checkTypes,extraRequire,missingOverride,missingReturn,unusedPrivateMembers,uselessCode} checked by tsc
 */
var EditorButtonsComponent = /** @class */ (function () {
    function EditorButtonsComponent() {
        this.modified = false;
        this.valid = true;
        this.close = new EventEmitter();
        this.discard = new EventEmitter();
        this.save = new EventEmitter();
    }
    /**
     * @return {?}
     */
    EditorButtonsComponent.prototype.ngOnInit = /**
     * @return {?}
     */
    function () {
    };
    EditorButtonsComponent.decorators = [
        { type: Component, args: [{
                    selector: 'msf-editor-buttons',
                    template: "<button\n  mat-raised-button\n  type=\"button\"\n  (click)=\"close.emit()\"\n  color=\"primary\"\n  *ngIf=\"!modified\">\n  Close\n</button>\n<button\n  mat-raised-button\n  type=\"button\"\n  (click)=\"discard.emit()\"\n  color=\"warn\"\n  *ngIf=\"modified\">\n  Discard\n</button>\n<button\n  mat-raised-button\n  type=\"button\"\n  (click)=\"save.emit()\"\n  color=\"primary\"\n  *ngIf=\"modified\"\n  [disabled]=\"!valid\">\n  Save\n</button>\n",
                    changeDetection: ChangeDetectionStrategy.OnPush,
                    styles: [".mat-raised-button{margin:10px}"]
                }] }
    ];
    /** @nocollapse */
    EditorButtonsComponent.ctorParameters = function () { return []; };
    EditorButtonsComponent.propDecorators = {
        modified: [{ type: Input }],
        valid: [{ type: Input }],
        close: [{ type: Output }],
        discard: [{ type: Output }],
        save: [{ type: Output }]
    };
    return EditorButtonsComponent;
}());

/**
 * @fileoverview added by tsickle
 * @suppress {checkTypes,extraRequire,missingOverride,missingReturn,unusedPrivateMembers,uselessCode} checked by tsc
 */
var AngularComponentsModule = /** @class */ (function () {
    function AngularComponentsModule() {
    }
    AngularComponentsModule.decorators = [
        { type: NgModule, args: [{
                    declarations: [
                        AngularComponentsComponent,
                        EditorButtonsComponent
                    ],
                    imports: [
                        CommonModule,
                        MatButtonModule,
                    ],
                    exports: [
                        AngularComponentsComponent,
                        EditorButtonsComponent
                    ]
                },] }
    ];
    return AngularComponentsModule;
}());

export { AngularComponentsComponent, AngularComponentsModule, AngularComponentsService, EditorButtonsComponent as ɵa };
//# sourceMappingURL=matthewfordus-angular-components.js.map
